animx = require("animx")
iffy = require("iffy")
anim8 = require("anim8")
require("player")

function love.load()
    -- make everything look smooth
    love.graphics.setDefaultFilter("nearest", "nearest")
    player:load()
    img = love.graphics.newImage("spritesheet.png")
    local grid = anim8.newGrid(479, 618, img:getWidth(), img:getHeight())
    animation = anim8.newAnimation(grid("1-4", 1 + 1), 0.1)
    moving = false
end

function love.keypressed(key)
    player:keypressed(key)
    if key == "r" then
---@diagnostic disable-next-line: param-type-mismatch
        love.event.quit("restart")
    end
    if key == "escape" then
        love.event.quit()
    end
end

function love.draw()
    player:draw()
end

function love.update(dt)
    player:update(dt)
    animation:update(dt)
end