player = {}

function player:load()
    self.x = 0
    self.y = 50
    self.speed = 200
    self.isMoving = false
    self.spriteSheet = love.graphics.newImage("unknown.png")
    self.grid = anim8.newGrid(479, 618, self.spriteSheet:getWidth(), self.spriteSheet:getHeight())
    self.animations = {}
    self.animations.walk = anim8.newAnimation(self.grid("1-6", 1), 0.1)
    self.anim = self.animations.walk
end

function player:draw()
    self.anim:draw(self.spriteSheet, self.x, self.y, nil, 0.2, 0.2)
end

function player:keypressed(key)

end

function player:update(dt)
    if love.keyboard.isDown("d") then
        self.x = self.x + self.speed * dt
        self.isMoving = true
    else
        self.isMoving = false
    end
    if love.keyboard.isDown("a") then
        self.x = self.x - self.speed * dt
        self.anim:flipH()
        self.isMoving = true
    end
    if self.isMoving == false then
        self.anim:gotoFrame(1)
    elseif self.isMoving == true then
        -- TODO add idle animations
    end
    if self.x >= 0 then
        self.anim:flipH()
    end
    self.anim:update(dt)
end